Closed Bug 1580565 Opened 9 months ago Closed 1 month ago

Intermittent PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*)]

Categories

(Core :: DOM: Content Processes, defect, P1)

defect

Tracking

()

RESOLVED FIXED
mozilla77
Fission Milestone M5a
Tracking Status
firefox-esr68 --- unaffected
firefox75 --- disabled
firefox76 --- disabled
firefox77 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: nika)

References

(Blocks 2 open bugs, Regression)

Details

(Keywords: crash, intermittent-failure, regression, Whiteboard: [stockwell disabled][stockwell needswork:owner])

Crash Data

Attachments

(11 files, 1 obsolete file)

47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review

Filed by: cbrindusan [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=266150055&repo=mozilla-central
Full log: https://queue.taskcluster.net/v1/task/MbAFs7_OQuGgQ4jqJOPuuw/runs/0/artifacts/public/logs/live_backing.log


[task 2019-09-11T16:56:28.880Z] 16:56:28 INFO - TEST-START | toolkit/components/url-classifier/tests/mochitest/test_classify_by_default.html
[task 2019-09-11T16:56:29.360Z] 16:56:29 INFO - GECKO(9028) | JavaScript error: , line 0: TypeError: NetworkError when attempting to fetch resource.
[task 2019-09-11T16:56:29.424Z] 16:56:29 INFO - GECKO(9028) | JavaScript error: resource:///actors/PageStyleChild.jsm, line 35: SecurityError: Permission denied to access property "document" on cross-origin object
[task 2019-09-11T16:56:29.854Z] 16:56:29 INFO - GECKO(9028) | [Parent 9028, Gecko_IOThread] WARNING: pipe error (170): Connection reset by peer: file /builds/worker/workspace/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 358
[task 2019-09-11T16:56:29.902Z] 16:56:29 INFO - GECKO(9028) | JavaScript error: resource:///actors/PageStyleChild.jsm, line 35: SecurityError: Permission denied to access property "document" on cross-origin object
[task 2019-09-11T16:56:29.902Z] 16:56:29 INFO - GECKO(9028) | JavaScript error: , line 0: TypeError: NetworkError when attempting to fetch resource.
[task 2019-09-11T16:56:30.040Z] 16:56:30 ERROR - GECKO(9028) | A content process crashed and MOZ_CRASHREPORTER_SHUTDOWN is set, shutting down
[task 2019-09-11T16:56:30.247Z] 16:56:30 INFO - GECKO(9028) | [Child 9211, Chrome_ChildThread] WARNING: pipe error (3): Connection reset by peer: file /builds/worker/workspace/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 358
[task 2019-09-11T16:56:30.268Z] 16:56:30 INFO - GECKO(9028) | [Parent 9028, Gecko_IOThread] WARNING: pipe error (151): Connection reset by peer: file /builds/worker/workspace/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 358
[task 2019-09-11T16:56:30.410Z] 16:56:30 INFO - GECKO(9028) | 1568220990408 Marionette TRACE Received observer notification xpcom-will-shutdown
[task 2019-09-11T16:56:30.410Z] 16:56:30 INFO - GECKO(9028) | 1568220990408 Marionette INFO Stopped listening on port 2828
[task 2019-09-11T16:56:30.410Z] 16:56:30 INFO - GECKO(9028) | 1568220990408 Marionette DEBUG Remote service is inactive
[task 2019-09-11T16:56:30.446Z] 16:56:30 INFO - GECKO(9028) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2019-09-11T16:56:30.755Z] 16:56:30 INFO - TEST-INFO | Main app process: exit 0
[task 2019-09-11T16:56:30.755Z] 16:56:30 INFO - runtests.py | Application ran for: 0:00:14.468064
[task 2019-09-11T16:56:30.755Z] 16:56:30 INFO - zombiecheck | Reading PID log: /tmp/tmpknOMkdpidlog
[task 2019-09-11T16:56:30.755Z] 16:56:30 INFO - ==> process 9028 launched child process 9049
[task 2019-09-11T16:56:30.755Z] 16:56:30 INFO - ==> process 9028 launched child process 9065
[task 2019-09-11T16:56:30.755Z] 16:56:30 INFO - ==> process 9028 launched child process 9101
[task 2019-09-11T16:56:30.755Z] 16:56:30 INFO - ==> process 9028 launched child process 9119
[task 2019-09-11T16:56:30.756Z] 16:56:30 INFO - ==> process 9028 launched child process 9166
[task 2019-09-11T16:56:30.757Z] 16:56:30 INFO - ==> process 9028 launched child process 9211
[task 2019-09-11T16:56:30.757Z] 16:56:30 INFO - ==> process 9028 launched child process 9255
[task 2019-09-11T16:56:30.758Z] 16:56:30 INFO - ==> process 9028 launched child process 9289
[task 2019-09-11T16:56:30.758Z] 16:56:30 INFO - ==> process 9028 launched child process 9313
[task 2019-09-11T16:56:30.759Z] 16:56:30 INFO - ==> process 9028 launched child process 9335
[task 2019-09-11T16:56:30.759Z] 16:56:30 INFO - zombiecheck | Checking for orphan process with PID: 9313
[task 2019-09-11T16:56:30.760Z] 16:56:30 INFO - zombiecheck | Checking for orphan process with PID: 9255
[task 2019-09-11T16:56:30.760Z] 16:56:30 INFO - zombiecheck | Checking for orphan process with PID: 9065
[task 2019-09-11T16:56:30.760Z] 16:56:30 INFO - zombiecheck | Checking for orphan process with PID: 9335
[task 2019-09-11T16:56:30.761Z] 16:56:30 INFO - zombiecheck | Checking for orphan process with PID: 9101
[task 2019-09-11T16:56:30.761Z] 16:56:30 INFO - zombiecheck | Checking for orphan process with PID: 9166
[task 2019-09-11T16:56:30.762Z] 16:56:30 INFO - zombiecheck | Checking for orphan process with PID: 9289
[task 2019-09-11T16:56:30.763Z] 16:56:30 INFO - zombiecheck | Checking for orphan process with PID: 9049
[task 2019-09-11T16:56:30.763Z] 16:56:30 INFO - zombiecheck | Checking for orphan process with PID: 9211
[task 2019-09-11T16:56:30.764Z] 16:56:30 INFO - zombiecheck | Checking for orphan process with PID: 9119
[task 2019-09-11T16:56:30.764Z] 16:56:30 INFO - mozcrash Downloading symbols from: https://queue.taskcluster.net/v1/task/eNMKh5s1QF2-Uv43HyN1oA/artifacts/public/build/target.crashreporter-symbols.zip
[task 2019-09-11T16:56:34.217Z] 16:56:34 INFO - mozcrash Copy/paste: /builds/worker/workspace/build/linux64-minidump_stackwalk /tmp/tmpprgnFY.mozrunner/minidumps/73e60e15-f669-1a7c-c23b-9631610b584e.dmp /tmp/tmp5KCyGX
[task 2019-09-11T16:56:37.534Z] 16:56:37 INFO - mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/73e60e15-f669-1a7c-c23b-9631610b584e.dmp
[task 2019-09-11T16:56:37.534Z] 16:56:37 INFO - mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/73e60e15-f669-1a7c-c23b-9631610b584e.extra
[task 2019-09-11T16:56:37.592Z] 16:56:37 INFO - PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*)]
[task 2019-09-11T16:56:37.592Z] 16:56:37 INFO - Crash dump filename: /tmp/tmpprgnFY.mozrunner/minidumps/73e60e15-f669-1a7c-c23b-9631610b584e.dmp
[task 2019-09-11T16:56:37.592Z] 16:56:37 INFO - Operating system: Linux
[task 2019-09-11T16:56:37.592Z] 16:56:37 INFO - 0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2019-09-11T16:56:37.592Z] 16:56:37 INFO - CPU: amd64
[task 2019-09-11T16:56:37.592Z] 16:56:37 INFO - family 6 model 85 stepping 4
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO - 1 CPU[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO -
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO - GPU: UNKNOWN
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO -
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO - Crash reason: SIGSEGV /SEGV_MAPERR
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO - Crash address: 0x0
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO - Process uptime: not available
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO -
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO - Thread 0 (crashed)
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO - 0 libxul.so!mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*) [BrowsingContext.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 163 + 0x11]
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO - rax = 0x00007f40409c1494 rdx = 0x0000000081af1548
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO - rcx = 0x00005621ae08ac40 rbx = 0x0000000000000000
[task 2019-09-11T16:56:37.593Z] 16:56:37 INFO - rsi = 0x00007f4034444420 rdi = 0x0000000000000008
[task 2019-09-11T16:56:37.594Z] 16:56:37 INFO - rbp = 0x00007ffd0bec4a30 rsp = 0x00007ffd0bec49f0
[task 2019-09-11T16:56:37.594Z] 16:56:37 INFO - r8 = 0x0000000000000003 r9 = 0x00007f4034444440
[task 2019-09-11T16:56:37.594Z] 16:56:37 INFO - r10 = 0x000000000007ff10 r11 = 0x000000000000001d
[task 2019-09-11T16:56:37.594Z] 16:56:37 INFO - r12 = 0x00007f40347e05e0 r13 = 0x0000000000000000
[task 2019-09-11T16:56:37.594Z] 16:56:37 INFO - r14 = 0x0000000000000138 r15 = 0x00007f404ba62718
[task 2019-09-11T16:56:37.594Z] 16:56:37 INFO - rip = 0x00007f403e3adb8a
[task 2019-09-11T16:56:37.594Z] 16:56:37 INFO - Found by: given as instruction pointer in context
[task 2019-09-11T16:56:37.595Z] 16:56:37 INFO - 1 libxul.so!mozilla::dom::ContentChild::RecvRegisterBrowsingContextGroup(nsTArray<mozilla::dom::BrowsingContext::IPCInitializer>&&) [ContentChild.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 3885 + 0xa]
[task 2019-09-11T16:56:37.595Z] 16:56:37 INFO - rbx = 0x00007f40347e05e0 rbp = 0x00007ffd0bec4a80
[task 2019-09-11T16:56:37.595Z] 16:56:37 INFO - rsp = 0x00007ffd0bec4a40 r12 = 0x0000000000000001
[task 2019-09-11T16:56:37.596Z] 16:56:37 INFO - r13 = 0x0000000000000004 r14 = 0x0000000000000138
[task 2019-09-11T16:56:37.596Z] 16:56:37 INFO - r15 = 0x0000000000000128 rip = 0x00007f403d2e03f2
[task 2019-09-11T16:56:37.596Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.597Z] 16:56:37 INFO - 2 libxul.so!mozilla::dom::PContentChild::OnMessageReceived(IPC::Message const&) [PContentChild.cpp: : 12063 + 0x8]
[task 2019-09-11T16:56:37.597Z] 16:56:37 INFO - rbx = 0x00007f40347103f0 rbp = 0x00007ffd0bec5980
[task 2019-09-11T16:56:37.597Z] 16:56:37 INFO - rsp = 0x00007ffd0bec4a90 r12 = 0x00007f40347103e8
[task 2019-09-11T16:56:37.597Z] 16:56:37 INFO - r13 = 0x0000000000000000 r14 = 0x00007ffd0bec4b10
[task 2019-09-11T16:56:37.598Z] 16:56:37 INFO - r15 = 0x00007f404bada020 rip = 0x00007f403b60f782
[task 2019-09-11T16:56:37.598Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.598Z] 16:56:37 INFO - 3 libxul.so!mozilla::ipc::MessageChannel::DispatchAsyncMessage(mozilla::ipc::ActorLifecycleProxy*, IPC::Message const&) [MessageChannel.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 2185 + 0xd]
[task 2019-09-11T16:56:37.599Z] 16:56:37 INFO - rbx = 0x00007f404bada120 rbp = 0x00007ffd0bec59c0
[task 2019-09-11T16:56:37.599Z] 16:56:37 INFO - rsp = 0x00007ffd0bec5990 r12 = 0x0000000000000001
[task 2019-09-11T16:56:37.599Z] 16:56:37 INFO - r13 = 0x0000000000000000 r14 = 0x00007f40347103e8
[task 2019-09-11T16:56:37.599Z] 16:56:37 INFO - r15 = 0x00007f403543f520 rip = 0x00007f403b56e887
[task 2019-09-11T16:56:37.600Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.600Z] 16:56:37 INFO - 4 libxul.so!mozilla::ipc::MessageChannel::DispatchMessage(IPC::Message&&) [MessageChannel.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 2109 + 0x5]
[task 2019-09-11T16:56:37.600Z] 16:56:37 INFO - rbx = 0x00007f4035444120 rbp = 0x00007ffd0bec5a80
[task 2019-09-11T16:56:37.600Z] 16:56:37 INFO - rsp = 0x00007ffd0bec59d0 r12 = 0x00007f404bada120
[task 2019-09-11T16:56:37.601Z] 16:56:37 INFO - r13 = 0x0000000000000000 r14 = 0x00007f40347103e8
[task 2019-09-11T16:56:37.601Z] 16:56:37 INFO - r15 = 0x00000000ffffffff rip = 0x00007f403b56d78e
[task 2019-09-11T16:56:37.601Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.601Z] 16:56:37 INFO - 5 libxul.so!mozilla::ipc::MessageChannel::RunMessage(mozilla::ipc::MessageChannel::MessageTask&) [MessageChannel.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 1954 + 0xb]
[task 2019-09-11T16:56:37.602Z] 16:56:37 INFO - rbx = 0x00007f404ba8b4c0 rbp = 0x00007ffd0bec5ad0
[task 2019-09-11T16:56:37.602Z] 16:56:37 INFO - rsp = 0x00007ffd0bec5a90 r12 = 0x00007f4034710390[task 2019-09-11T16:56:37.602Z] 16:56:37 INFO - r13 = 0x0000000000000000 r14 = 0x00007f404bada120
[task 2019-09-11T16:56:37.603Z] 16:56:37 INFO - r15 = 0x00007f40347103e8 rip = 0x00007f403b56dedf
[task 2019-09-11T16:56:37.603Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.603Z] 16:56:37 INFO - 6 libxul.so!mozilla::ipc::MessageChannel::MessageTask::Run() [MessageChannel.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 1985 + 0xc]
[task 2019-09-11T16:56:37.603Z] 16:56:37 INFO - rbx = 0x00007f4034710390 rbp = 0x00007ffd0bec5af0
[task 2019-09-11T16:56:37.603Z] 16:56:37 INFO - rsp = 0x00007ffd0bec5ae0 r12 = 0x0000000000000001
[task 2019-09-11T16:56:37.604Z] 16:56:37 INFO - r13 = 0x0000000000000000 r14 = 0x00007f4035444120
[task 2019-09-11T16:56:37.604Z] 16:56:37 INFO - r15 = 0x00007f404ba6a9e0 rip = 0x00007f403b56e1ce
[task 2019-09-11T16:56:37.604Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.604Z] 16:56:37 INFO - 7 libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 1225 + 0x6]
[task 2019-09-11T16:56:37.605Z] 16:56:37 INFO - rbx = 0x0000000000000000 rbp = 0x00007ffd0bec5ff0
[task 2019-09-11T16:56:37.605Z] 16:56:37 INFO - rsp = 0x00007ffd0bec5b00 r12 = 0x0000000000000001
[task 2019-09-11T16:56:37.605Z] 16:56:37 INFO - r13 = 0x0000000000000000 r14 = 0x00007ffd0bec600f
[task 2019-09-11T16:56:37.605Z] 16:56:37 INFO - r15 = 0x00007f404ba6a9e0 rip = 0x00007f403b0727f2
[task 2019-09-11T16:56:37.606Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.606Z] 16:56:37 INFO - 8 libxul.so!NS_ProcessNextEvent(nsIThread*, bool) [nsThreadUtils.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 486 + 0xd]
[task 2019-09-11T16:56:37.606Z] 16:56:37 INFO - rbx = 0x0000000000000000 rbp = 0x00007ffd0bec6020
[task 2019-09-11T16:56:37.606Z] 16:56:37 INFO - rsp = 0x00007ffd0bec6000 r12 = 0x00007f404ba9bc10
[task 2019-09-11T16:56:37.607Z] 16:56:37 INFO - r13 = 0x00007f404ba9bbf0 r14 = 0x00007ffd0bec6158
[task 2019-09-11T16:56:37.607Z] 16:56:37 INFO - r15 = 0x0000000000000001 rip = 0x00007f403b074608
[task 2019-09-11T16:56:37.607Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.607Z] 16:56:37 INFO - 9 libxul.so!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) [MessagePump.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 88 + 0x7]
[task 2019-09-11T16:56:37.608Z] 16:56:37 INFO - rbx = 0x0000000000000001 rbp = 0x00007ffd0bec6060
[task 2019-09-11T16:56:37.608Z] 16:56:37 INFO - rsp = 0x00007ffd0bec6030 r12 = 0x00007f404ba9bc10
[task 2019-09-11T16:56:37.608Z] 16:56:37 INFO - r13 = 0x00007f404ba9bbf0 r14 = 0x00007ffd0bec6158
[task 2019-09-11T16:56:37.608Z] 16:56:37 INFO - r15 = 0x0000000000000001 rip = 0x00007f403b570a7a
[task 2019-09-11T16:56:37.609Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.609Z] 16:56:37 INFO - 10 libxul.so!MessageLoop::Run() [message_loop.cc:ba563f823a564dfade0327d003143d765ac9ab59 : 290 + 0xc]
[task 2019-09-11T16:56:37.609Z] 16:56:37 INFO - rbx = 0x00007f4035441f40 rbp = 0x00007ffd0bec6090
[task 2019-09-11T16:56:37.609Z] 16:56:37 INFO - rsp = 0x00007ffd0bec6070 r12 = 0x00007ffd0bec74f8
[task 2019-09-11T16:56:37.609Z] 16:56:37 INFO - r13 = 0x00000e4fb955adc8 r14 = 0x00007f404ba6a9e0
[task 2019-09-11T16:56:37.610Z] 16:56:37 INFO - r15 = 0x0000000000002344 rip = 0x00007f403b5329a6
[task 2019-09-11T16:56:37.610Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.610Z] 16:56:37 INFO - 11 libxul.so!nsBaseAppShell::Run() [nsBaseAppShell.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 137 + 0xd]
[task 2019-09-11T16:56:37.610Z] 16:56:37 INFO - rbx = 0x00007f4035441f40 rbp = 0x00007ffd0bec60b0
[task 2019-09-11T16:56:37.611Z] 16:56:37 INFO - rsp = 0x00007ffd0bec60a0 r12 = 0x00007ffd0bec74f8
[task 2019-09-11T16:56:37.611Z] 16:56:37 INFO - r13 = 0x00000e4fb955adc8 r14 = 0x00007f404ba6a9e0
[task 2019-09-11T16:56:37.612Z] 16:56:37 INFO - r15 = 0x0000000000002344 rip = 0x00007f403d5b4969
[task 2019-09-11T16:56:37.612Z] 16:56:37 INFO - Found by: call frame info[task 2019-09-11T16:56:37.612Z] 16:56:37 INFO - 12 libxul.so!XRE_RunAppShell() [nsEmbedFunctions.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 934 + 0x6]
[task 2019-09-11T16:56:37.613Z] 16:56:37 INFO - rbx = 0x00007f404bada000 rbp = 0x00007ffd0bec60e0
[task 2019-09-11T16:56:37.613Z] 16:56:37 INFO - rsp = 0x00007ffd0bec60c0 r12 = 0x00007ffd0bec74f8
[task 2019-09-11T16:56:37.613Z] 16:56:37 INFO - r13 = 0x00000e4fb955adc8 r14 = 0x0000000080004005
[task 2019-09-11T16:56:37.614Z] 16:56:37 INFO - r15 = 0x0000000000002344 rip = 0x00007f403e745264
[task 2019-09-11T16:56:37.614Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.615Z] 16:56:37 INFO - 13 libxul.so!MessageLoop::Run() [message_loop.cc:ba563f823a564dfade0327d003143d765ac9ab59 : 290 + 0xc]
[task 2019-09-11T16:56:37.615Z] 16:56:37 INFO - rbx = 0x00007f404bada000 rbp = 0x00007ffd0bec6110
[task 2019-09-11T16:56:37.615Z] 16:56:37 INFO - rsp = 0x00007ffd0bec60f0 r12 = 0x00007ffd0bec74f8
[task 2019-09-11T16:56:37.616Z] 16:56:37 INFO - r13 = 0x00000e4fb955adc8 r14 = 0x0000000080004005
[task 2019-09-11T16:56:37.616Z] 16:56:37 INFO - r15 = 0x0000000000002344 rip = 0x00007f403b5329a6
[task 2019-09-11T16:56:37.616Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.616Z] 16:56:37 INFO - 14 libxul.so!XRE_InitChildProcess(int, char**, XREChildData const*) [nsEmbedFunctions.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 769 + 0x5]
[task 2019-09-11T16:56:37.617Z] 16:56:37 INFO - rbx = 0x00007f404bada000 rbp = 0x00007ffd0bec63a0
[task 2019-09-11T16:56:37.617Z] 16:56:37 INFO - rsp = 0x00007ffd0bec6120 r12 = 0x00007ffd0bec74f8
[task 2019-09-11T16:56:37.617Z] 16:56:37 INFO - r13 = 0x00000e4fb955adc8 r14 = 0x0000000080004005
[task 2019-09-11T16:56:37.617Z] 16:56:37 INFO - r15 = 0x0000000000002344 rip = 0x00007f403e7450d4
[task 2019-09-11T16:56:37.618Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.618Z] 16:56:37 INFO - 15 firefox-bin!main [nsBrowserApp.cpp:ba563f823a564dfade0327d003143d765ac9ab59 : 272 + 0x32]
[task 2019-09-11T16:56:37.618Z] 16:56:37 INFO - rbx = 0x00007f404ba02730 rbp = 0x00007ffd0bec7410
[task 2019-09-11T16:56:37.618Z] 16:56:37 INFO - rsp = 0x00007ffd0bec63b0 r12 = 0x00007ffd0bec74f8
[task 2019-09-11T16:56:37.618Z] 16:56:37 INFO - r13 = 0x00000e4fb955adc8 r14 = 0x0000000000000013
[task 2019-09-11T16:56:37.619Z] 16:56:37 INFO - r15 = 0x00007f404ba22040 rip = 0x00005621ae002fd3
[task 2019-09-11T16:56:37.619Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.619Z] 16:56:37 INFO - 16 libc-2.23.so!__libc_start_main [libc-start.c : 291 + 0x1a]
[task 2019-09-11T16:56:37.619Z] 16:56:37 INFO - rbx = 0x0000000000000000 rbp = 0x00005621ae074180
[task 2019-09-11T16:56:37.620Z] 16:56:37 INFO - rsp = 0x00007ffd0bec7420 r12 = 0x00005621ae002bfc
[task 2019-09-11T16:56:37.620Z] 16:56:37 INFO - r13 = 0x00007ffd0bec74f0 r14 = 0x0000000000000000
[task 2019-09-11T16:56:37.620Z] 16:56:37 INFO - r15 = 0x0000000000000000 rip = 0x00007f404bc87830
[task 2019-09-11T16:56:37.621Z] 16:56:37 INFO - Found by: call frame info
[task 2019-09-11T16:56:37.621Z] 16:56:37 INFO - 17 firefox-bin + 0xbde0
[task 2019-09-11T16:56:37.621Z] 16:56:37 INFO - rsp = 0x00007ffd0bec7440 rip = 0x00005621ae002de0
[task 2019-09-11T16:56:37.622Z] 16:56:37 INFO - Found by: stack scanning
[task 2019-09-11T16:56:37.622Z] 16:56:37 INFO - 18 firefox-bin + 0xbbfc
[task 2019-09-11T16:56:37.622Z] 16:56:37 INFO - rsp = 0x00007ffd0bec7458 rip = 0x00005621ae002bfc
[task 2019-09-11T16:56:37.623Z] 16:56:37 INFO - Found by: stack scanning
[task 2019-09-11T16:56:37.623Z] 16:56:37 INFO - 19 ld-2.23.so!_dl_init [dl-init.c : 30 + 0x16]
[task 2019-09-11T16:56:37.623Z] 16:56:37 INFO - rsp = 0x00007ffd0bec74b0 rip = 0x00007f404cf0b7db
[task 2019-09-11T16:56:37.624Z] 16:56:37 INFO - Found by: stack scanning[task 2019-09-11T16:56:37.624Z] 16:56:37 INFO - 20 firefox-bin + 0xbbfc
[task 2019-09-11T16:56:37.624Z] 16:56:37 INFO - rsp = 0x00007ffd0bec74c8 rip = 0x00005621ae002bfc
[task 2019-09-11T16:56:37.625Z] 16:56:37 INFO - Found by: stack scanning
[task 2019-09-11T16:56:37.625Z] 16:56:37 INFO - 21 firefox-bin!_start + 0x29
[task 2019-09-11T16:56:37.625Z] 16:56:37 INFO - rsp = 0x00007ffd0bec74e0 rip = 0x00005621ae002c25
[task 2019-09-11T16:56:37.626Z] 16:56:37 INFO - Found by: stack scanning

Summary: Intermittent PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*)] → Perma PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*)]

Andreas can you please take a look?

Flags: needinfo?(afarre)
Regressed by: 1560110
Flags: needinfo?(continuation)

You could add a skip-if for test_classify_by_default.html in toolkit/components/url-classifier/tests/mochitest/mochitest.ini like this:

[test_classify_by_default.html]
skip-if =
fission # Crashes intermittently: @ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*)

Flags: needinfo?(continuation)
Keywords: leave-open
Whiteboard: [stockwell disabled]

Pushed by apavel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/b190450c69f5
Disable test_classify_by_default.html if fission r=mccr8,egao

Keywords: checkin-needed
Flags: needinfo?(afarre)

Looks like more tests need disabling here.

Andrew should we go on disabling the tests that continue to fail here?

Flags: needinfo?(continuation)

Looks like Kris r+'d another disabling patch. Hopefully that clears up this issue.

Flags: needinfo?(continuation)
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/992c514f7cba
Disable tests that crash on fission. r=kmag

The priority flag is not set for this bug.
:dimi, could you have a look please?

For more information, please visit auto_nag documentation.

Flags: needinfo?(dlee)
Assignee: nobody → dlee
Status: NEW → ASSIGNED
Flags: needinfo?(dlee)
Priority: -- → P2
Assignee: dlee → nobody
Status: ASSIGNED → NEW
Depends on: 1582832

Majority of failures that spiked here are in test_ext_web_accessible_resources.html.

It looks like a different kind of failure started getting starred into this bug:

16:22:44 INFO - GECKO(5367) | Assertion failure: parent, at /builds/worker/workspace/build/src/docshell/base/BrowsingContext.cpp:1165
...
21667 16:23:15 INFO - PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent()]

Could you please file a separate bug for this failure? Thanks.

This is the first instance of that that I see: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=272002701&repo=autoland&lineNumber=11147

About 30 or so pushed before that, I see that bug 1589481 landed. That enabled test_ext_web_accessible_incognito.html and test_ext_webnavigation.html in debug Fission, which are the tests that run right after test_ext_web_accessible_resources.html, which is the test that the patch is disabling. It seems more likely that one of those tests is to blame for this regression.

Hey zombie, it looks like bug 1589481 introduced some new intermittent failures. Could you take a look? Thanks.

Flags: needinfo?(tomica)

(In reply to Andrew McCreight [:mccr8] from comment #24)

About 30 or so pushed before that, I see that bug 1589481 landed. That enabled test_ext_web_accessible_incognito.html and test_ext_webnavigation.html in debug Fission, which are the tests that run right after test_ext_web_accessible_resources.html, which is the test that the patch is disabling. It seems more likely that one of those tests is to blame for this regression.

I don't think blaming the next test, that doesn't have a TEST-START in the log works, but it seems test_ext_web_accessible_incognito.html did run right before test_ext_web_accessible_resources.html (it's earlier alphabetically), so that seems plausible.

Andreea, can you please disable just test_ext_web_accessible_incognito.html so that we can test this hypothesis (and in a separate bug, as it seems to have a different signature)?

Flags: needinfo?(tomica) → needinfo?(apavel)
Attachment #9102808 - Attachment is obsolete: true

(In reply to :Tomislav Jovanovic :zombie from comment #27)

(In reply to Andrew McCreight [:mccr8] from comment #24)

About 30 or so pushed before that, I see that bug 1589481 landed. That enabled test_ext_web_accessible_incognito.html and test_ext_webnavigation.html in debug Fission, which are the tests that run right after test_ext_web_accessible_resources.html, which is the test that the patch is disabling. It seems more likely that one of those tests is to blame for this regression.

I don't think blaming the next test, that doesn't have a TEST-START in the log works, but it seems test_ext_web_accessible_incognito.html did run right before test_ext_web_accessible_resources.html (it's earlier alphabetically), so that seems plausible.

Andreea, can you please disable just test_ext_web_accessible_incognito.html so that we can test this hypothesis (and in a separate bug, as it seems to have a different signature)?

Bug 1588284 was filed for the assertion failure. I will disable the test there and link it to your comment.

Flags: needinfo?(apavel)
See Also: → 1588284

Recent failures here are in test_ext_web_accessible_resources.html on fission and test got disabled here https://bugzilla.mozilla.org/show_bug.cgi?id=1588284#c12

Tentatively moving all bugs whose summaries mention "Fission" (or other Fission-related keywords) but are not assigned to a Fission Milestone to the "?" triage milestone.

This will generate a lot of bugmail, so you can filter your bugmail for the following UUID and delete them en masse:

0ee3c76a-bc79-4eb2-8d12-05dc0b68e732

Fission Milestone: --- → ?
Fission Milestone: ? → M4.1

ckerschb says this is a general IPC bug which causes intermittent Fission crash.

Dimi says that neither he nor afarre have been able to reproduce this intermittent test failure. Since this looks like a general IPC bug, he recommends we send it to the DOM component and have a Fission engineer investigate.

Component: Safe Browsing → DOM: Content Processes
Product: Toolkit → Core

Neha asked me to poke at this a little bit.

AFAICT, the newest crashes and the "original" crashes (e.g. comment 24) are both crashing in BrowsingContext::IPCInitializer::GetParent: we're trying to find a BrowsingContext that we don't know about. This doesn't make a lot of sense to me, as e.g. BrowsingContextGroup::EnsureSubscribed should be ensuring that parents are sent before children. Are we somehow retaining a reference to a parent that we can no longer send in the first place? (Maybe more debug checks in EnsureSubscribed or anywhere else SendRegisterBrowsingContextGroup is called would help identify the problem earlier?)

Assigned to farre as he's already looking into this for bug 1582832.

Assignee: nobody → afarre
Status: NEW → ASSIGNED
Summary: Perma PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*)] → Intermittent PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*)]

Same crash signature as bug 1582832.

Assignee: afarre → agakhokidze
Fission Milestone: M4.1 → M5
See Also: → 1582832
Fission Milestone: M5 → M4.1

Assigning this to Kris as he mentioned that he has outstanding patches that will fix this

Assignee: agakhokidze → kmaglione+bmo
Depends on: 1581138
Blocks: 1581138
No longer depends on: 1581138
No longer blocks: 1581138
Duplicate of this bug: 1614350
Duplicate of this bug: 1615816
Duplicate of this bug: 1616087
Duplicate of this bug: 1615857
Duplicate of this bug: 1615114
Duplicate of this bug: 1617038
Crash Signature: [@ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*)] → [@ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent]
Crash Signature: [@ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent] → [@ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent] [@ static mozilla::dom::Brows…
Crash Signature: , mozilla::dom::ContentParent*)] → , mozilla::dom::ContentParent*)] [@ mozilla::dom::WindowContext::CreateFromIPC(mozilla::dom::WindowContext::IPCInitializer&&)]
Crash Signature: , mozilla::dom::ContentParent*)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent] [@ static mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::Conten… → , mozilla::dom::ContentParent*)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent] [@ static mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::Cont…
Flags: needinfo?(kmaglione+bmo)
Whiteboard: [stockwell disabled] → [stockwell disabled][stockwell needswork:owner]
Flags: needinfo?(continuation)
Flags: needinfo?(amarchesini)

Nika, I don't think the bug is in the worklet code, but more likely we are exposing an existing issue. Do you have any idea why we crash here?

Flags: needinfo?(amarchesini) → needinfo?(nika)

This crash affects multiple tests, but seems to affect talos-damp-fis-e10s more than others.

We see these BrowsingContext::CreateFromIPC and BrowsingContext::IPCInitializer::GetParent crashes in the wild, but they really only affect Nightly ( 71.0a1 - 76.0a1), but barely register in Beta or Release.

Priority: P2 → P1

(In reply to Chris Peterson [:cpeterson] from comment #78)

We see these BrowsingContext::CreateFromIPC and BrowsingContext::IPCInitializer::GetParent crashes in the wild, but they really only affect Nightly ( 71.0a1 - 76.0a1), but barely register in Beta or Release.

kmag points out that Beta and Release are not affected as much because Fission can only be enabled in Nightly.

Reassigning to Nika because it's "related to the stuff she wants to try to fix shortly around discarding".

Assignee: kmaglione+bmo → nika

Sure, feel free to disable tests here. Hopefully Nika will be able to improve the situation here.

Flags: needinfo?(kmaglione+bmo)
Flags: needinfo?(continuation)
Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/669d19da09bf
disable browser_webconsole_worklet_error.js and browser_use_counters.js on fission r=mccr8

bp-b53f4d7f-5417-4ced-8eea-f25cc0200409
https://translate.google.de/translate?hl=&sl=auto&tl=en&u=http%3A%2F%2Fwww.opennet.ru%2Fopenforum%2FvsluhforumID3%2F120264.html
I clicked on the blue search button to load it again while it was translating. Then the iframe of the translated website crashed.

Promoting from M4.1 to M5a. In addition to crashing in automation, this is the top crash among Fission users.

Fission Milestone: M4.1 → M5a
See Also: → 1627945

I checked the last 15 failure logs and this is crashing in

  • browser_windowOpenerRestriction.js
  • browser_timeout_throttling_with_audio_playback.js
  • browser_webconsole_worker_promise_error.js
  • test_storagePermissionsRejectForeign.html

Nika are you still looking into this?

Flags: needinfo?(nika)
Flags: needinfo?(nika)

Follow-up parts in this bug depend on being able to read the nsGlobalWindow
which embeds a nsFrameLoader within CreateBrowsingContext, which is called
from the nsFrameLoader constructor. Unfortunately, we depend on creating the
nsFrameLoader and BrowsingContext before we have the window as part of the
fix to bug 1577711.

This patch changes BuildNestedPrintObjects to instead use a list of pending
clones stored on the parent Document object, and delays creation of the
nsFrameLoader, and thus the inner BrowsingContext, until after the document
has an owner global.

Due to the low number of automated tests for printing, I manually tested
print-previewing both the reduced test case from bug 1577711, a wikipedia
article, and 'data:text/html,<object data="data:text/html,hi">' to avoid
regressions.

There were previously a number of different APIs for creating BrowsingContext
instances. This simplifies them into two major cases: "CreateDetached", which
allows for creating BrowsingContexts which are related to other
BrowsingContexts, and "CreateIndependent" which creates new, fully unrelated,
browsing contexts.

The existing infrastructure which stored cached BrowsingContexts on the
BrowsingContextGroup was added before WindowContexts were added, and can cause
racing issues with partially discarded trees during process switches.

Duplicate of this bug: 1630827
Crash Signature: , mozilla::dom::ContentParent*)] [@ mozilla::dom::WindowContext::CreateFromIPC(mozilla::dom::WindowContext::IPCInitializer&&)] → , mozilla::dom::ContentParent*)] [@ mozilla::dom::WindowContext::CreateFromIPC(mozilla::dom::WindowContext::IPCInitializer&&)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent()]

This allows us to explicitly specify BrowsingContextGroups when synchronizing
them. A major advantage of this is that it means we can handle an attempt to
create a BrowsingContext with a parent which the content process is unaware of,
which is possible due to changes to the EnsureSubscribed logic in earlier
patches in this stack.

This is OK, because in the case where the content process cannot see its parent,
the parent must be imminently discarding.

Duplicate of this bug: 1588284
Crash Signature: , mozilla::dom::ContentParent*)] [@ mozilla::dom::WindowContext::CreateFromIPC(mozilla::dom::WindowContext::IPCInitializer&&)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent()] → , mozilla::dom::ContentParent*)] [@ mozilla::dom::WindowContext::CreateFromIPC(mozilla::dom::WindowContext::IPCInitializer&&)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent()]
Flags: needinfo?(nika)
Pushed by nlayzell@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/46b251848297
Part 1: Clean up misleading BrowsingContext comments, r=farre
https://hg.mozilla.org/integration/autoland/rev/cbb14b2c7b33
Part 2: Delay creating nsFrameLoader in static clone until embedder has window, r=smaug
https://hg.mozilla.org/integration/autoland/rev/4363e3a3d799
Part 3: Simplify API for creating independent BCs, r=farre
https://hg.mozilla.org/integration/autoland/rev/0b4595b2c153
Part 4: Use WindowContext to manage BrowsingContext cached status, r=farre
https://hg.mozilla.org/integration/autoland/rev/b182e872c9d4
Part 5: Remove redundant 'mParent' member, r=farre
https://hg.mozilla.org/integration/autoland/rev/81d537df2dc1
Part 6: Add a unique ID to each BrowsingContextGroup, r=kmag
https://hg.mozilla.org/integration/autoland/rev/12a4f3de76a8
Part 7: Handle attaching WindowContext to zombie BrowsingContext in the child, r=kmag

Backed out 7 changesets (bug 1580565) for browser_entry_point_telemetry.js failures

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=mochitest-browser-chrome&tochange=5db64345bebd6d588f256e8ce830cb81c38d73a4&fromchange=73b29412fd2d5dac36f3f356adbfaafb3f7154d1&selectedJob=298746124

Backout link: https://hg.mozilla.org/integration/autoland/rev/5db64345bebd6d588f256e8ce830cb81c38d73a4

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=298746124&repo=autoland&lineNumber=41312

...
task 2020-04-22T02:49:34.029Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | got password management tab - 
[task 2020-04-22T02:49:34.029Z] 02:49:34     INFO - mainMenu_entryPoint, password manager dialog shown
[task 2020-04-22T02:49:34.029Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | waiting for telemetry event count - 1 == 1 - 
[task 2020-04-22T02:49:34.029Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | content must be in snapshot. Has [content]. - true == true - 
[task 2020-04-22T02:49:34.029Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | After filtering we must have the expected number of events. - 1 == 1 - 
[task 2020-04-22T02:49:34.029Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | category in event pwmgr#open_management#mainmenu must match. - "pwmgr" matches "pwmgr" - 
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | method in event pwmgr#open_management#mainmenu must match. - "open_management" matches "open_management" - 
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | object in event pwmgr#open_management#mainmenu must match. - "mainmenu" matches "mainmenu" - 
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - mainMenu_entryPoint, close dialog and main menu
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - Leaving test bound mainMenu_entryPoint
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - Entering test bound pageInfo_entryPoint
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - Console message: [JavaScript Error: "Unknown Collection "main/fxmonitor-breaches"" {file: "resource://services-settings/RemoteSettingsClient.jsm" line: 137}]
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - UnknownCollectionError@resource://services-settings/RemoteSettingsClient.jsm:137:5
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - sync@resource://services-settings/RemoteSettingsClient.jsm:373:13
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - async*get@resource://services-settings/RemoteSettingsClient.jsm:315:22
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - async*getPotentialBreachesByLoginGUID@resource:///modules/LoginBreaches.jsm:51:74
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - _sendAllLoginRelatedObjects@resource:///actors/AboutLoginsParent.jsm:869:29
[task 2020-04-22T02:49:34.030Z] 02:49:34     INFO - receiveMessage@resource:///actors/AboutLoginsParent.jsm:486:29
[task 2020-04-22T02:49:34.031Z] 02:49:34     INFO - async*handleEvent@resource:///actors/AboutLoginsChild.jsm:41:14
[task 2020-04-22T02:49:34.031Z] 02:49:34     INFO - @chrome://browser/content/aboutlogins/aboutLogins.js:171:12
[task 2020-04-22T02:49:34.031Z] 02:49:34     INFO - 
[task 2020-04-22T02:49:34.031Z] 02:49:34     INFO - Console message: [JavaScript Error: "InvalidStateError: An attempt was made to use an object that is not, or is no longer, usable" {file: "resource:///actors/AboutLoginsParent.jsm" line: 859}]
[task 2020-04-22T02:49:34.031Z] 02:49:34     INFO - Buffered messages logged at 02:49:33
[task 2020-04-22T02:49:34.031Z] 02:49:34     INFO - pageInfo_entryPoint, opening pageinfo
[task 2020-04-22T02:49:34.031Z] 02:49:34     INFO - pageInfo_entryPoint, got pageinfo, wait until password button is visible
[task 2020-04-22T02:49:34.031Z] 02:49:34     INFO - pageInfo_entryPoint, clicking the show passwords button...
[task 2020-04-22T02:49:34.031Z] 02:49:34     INFO - pageInfo_entryPoint, waiting for the passwords manager dialog
[task 2020-04-22T02:49:34.031Z] 02:49:34     INFO - waiting for new tab to open
[task 2020-04-22T02:49:34.032Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | got password management tab - 
[task 2020-04-22T02:49:34.032Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | content must be in snapshot. Has [content]. - true == true - 
[task 2020-04-22T02:49:34.032Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | After filtering we must have the expected number of events. - 1 == 1 - 
[task 2020-04-22T02:49:34.032Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | category in event pwmgr#open_management#pageinfo must match. - "pwmgr" matches "pwmgr" - 
[task 2020-04-22T02:49:34.032Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | method in event pwmgr#open_management#pageinfo must match. - "open_management" matches "open_management" - 
[task 2020-04-22T02:49:34.032Z] 02:49:34     INFO - TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | object in event pwmgr#open_management#pageinfo must match. - "pageinfo" matches "pageinfo" - 
[task 2020-04-22T02:49:34.032Z] 02:49:34     INFO - pageInfo_entryPoint, close dialog and pageInfo
[task 2020-04-22T02:49:34.032Z] 02:49:34     INFO - Buffered messages finished
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | A promise chain failed to handle a rejection: An attempt was made to use an object that is not, or is no longer, usable - stack: sendMessageFn@resource:///actors/AboutLoginsParent.jsm:859:57
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - _sendAllLoginRelatedObjects@resource:///actors/AboutLoginsParent.jsm:867:20
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - async*receiveMessage@resource:///actors/AboutLoginsParent.jsm:486:29
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - async*handleEvent@resource:///actors/AboutLoginsChild.jsm:41:14
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - @chrome://browser/content/aboutlogins/aboutLogins.js:171:12
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - Rejection date: Wed Apr 22 2020 02:49:32 GMT+0000 (Greenwich Mean Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 265
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - Stack trace:
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:265
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1070
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1074
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:904
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:918
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - Leaving test bound pageInfo_entryPoint
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - GECKO(5748) | [Parent 4848, Main Thread] WARNING: 'aOwner->IsDiscarded()', file /builds/worker/workspace/obj-build/dist/include/mozilla/dom/SyncedContextInlines.h, line 37
[task 2020-04-22T02:49:34.033Z] 02:49:34     INFO - GECKO(5748) | [Parent 4848, Main Thread] WARNING: 'aOwner->IsDiscarded()', file /builds/worker/workspace/obj-build/dist/include/mozilla/dom/SyncedContextInlines.h, line 37
[task 2020-04-22T02:49:34.034Z] 02:49:34     INFO - GECKO(5748) | [Parent 4848, Main Thread] WARNING: 'aOwner->IsDiscarded()', file /builds/worker/workspace/obj-build/dist/include/mozilla/dom/SyncedContextInlines.h, line 37
[task 2020-04-22T02:49:34.034Z] 02:49:34     INFO - TEST-FAIL | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | Assertion count 2 is greater than expected range 0-0 assertions. - 
[task 2020-04-22T02:49:34.049Z] 02:49:34     INFO - GECKO(5748) | MEMORY STAT | vsize 1009MB | vsizeMaxContiguous 502MB | residentFast 434MB | heapAllocated 141MB
[task 2020-04-22T02:49:34.049Z] 02:49:34     INFO - TEST-OK | toolkit/components/passwordmgr/test/browser/browser_entry_point_telemetry.js | took 2293ms
Flags: needinfo?(nika)
Pushed by nlayzell@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/bf8877cdb10f
Part 1: Clean up misleading BrowsingContext comments, r=farre
https://hg.mozilla.org/integration/autoland/rev/3c15e4c600c4
Part 2: Delay creating nsFrameLoader in static clone until embedder has window, r=smaug
https://hg.mozilla.org/integration/autoland/rev/276b131190a8
Part 3: Simplify API for creating independent BCs, r=farre
https://hg.mozilla.org/integration/autoland/rev/a30f158eba45
Part 4: Use WindowContext to manage BrowsingContext cached status, r=farre
https://hg.mozilla.org/integration/autoland/rev/2cf821f2a6ea
Part 5: Remove redundant 'mParent' member, r=farre
https://hg.mozilla.org/integration/autoland/rev/a80e177a91b2
Part 6: Add a unique ID to each BrowsingContextGroup, r=kmag
https://hg.mozilla.org/integration/autoland/rev/7da9785ebb06
Part 7: Handle attaching WindowContext to zombie BrowsingContext in the child, r=kmag
Flags: needinfo?(nika)
Pushed by nlayzell@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/fd5d76304c09
Part 1: Clean up misleading BrowsingContext comments, r=farre
https://hg.mozilla.org/integration/autoland/rev/f9ab41f29552
Part 2: Delay creating nsFrameLoader in static clone until embedder has window, r=smaug
https://hg.mozilla.org/integration/autoland/rev/d8dea951a032
Part 3: Simplify API for creating independent BCs, r=farre
https://hg.mozilla.org/integration/autoland/rev/108d5fb4418e
Part 4: Use WindowContext to manage BrowsingContext cached status, r=farre
https://hg.mozilla.org/integration/autoland/rev/3d4f155096be
Part 5: Remove redundant 'mParent' member, r=farre
https://hg.mozilla.org/integration/autoland/rev/c0849928f934
Part 6: Add a unique ID to each BrowsingContextGroup, r=kmag
https://hg.mozilla.org/integration/autoland/rev/e44e0a6366f8
Part 7: Handle attaching WindowContext to zombie BrowsingContext in the child, r=kmag
Flags: needinfo?(nika)
Pushed by nlayzell@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/a421d33d03ce
Part 1: Clean up misleading BrowsingContext comments, r=farre
https://hg.mozilla.org/integration/autoland/rev/cdf2b600e779
Part 2: Delay creating nsFrameLoader in static clone until embedder has window, r=smaug
https://hg.mozilla.org/integration/autoland/rev/20dbcfc9eacc
Part 3: Simplify API for creating independent BCs, r=farre
https://hg.mozilla.org/integration/autoland/rev/0a44c410b59b
Part 4: Use WindowContext to manage BrowsingContext cached status, r=farre
https://hg.mozilla.org/integration/autoland/rev/e1802670dcc4
Part 5: Remove redundant 'mParent' member, r=farre
https://hg.mozilla.org/integration/autoland/rev/47f5698d6c72
Part 6: Add a unique ID to each BrowsingContextGroup, r=kmag
https://hg.mozilla.org/integration/autoland/rev/8237f9a307f8
Part 7: Handle attaching WindowContext to zombie BrowsingContext in the child, r=kmag
Pushed by nlayzell@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/19be0c2d6e9f
Part 1: Clean up misleading BrowsingContext comments, r=farre
https://hg.mozilla.org/integration/autoland/rev/7268d77ee698
Part 2: Delay creating nsFrameLoader in static clone until embedder has window, r=smaug
https://hg.mozilla.org/integration/autoland/rev/775fcd064844
Part 3: Simplify API for creating independent BCs, r=farre
https://hg.mozilla.org/integration/autoland/rev/52ac63af39a4
Part 4: Use WindowContext to manage BrowsingContext cached status, r=farre
https://hg.mozilla.org/integration/autoland/rev/68150e4a45af
Part 5: Remove redundant 'mParent' member, r=farre
https://hg.mozilla.org/integration/autoland/rev/593544f437fa
Part 6: Add a unique ID to each BrowsingContextGroup, r=kmag
https://hg.mozilla.org/integration/autoland/rev/655d98fff192
Part 7: Handle attaching WindowContext to zombie BrowsingContext in the child, r=kmag
Flags: needinfo?(nika)
Regressions: 1633204

I'm guessing the leave-open from 8 months ago is no longer relevant here?

Flags: needinfo?(apavel)

The tests disabled on fission in https://hg.mozilla.org/integration/autoland/rev/669d19da09bf (comment 84) are still disabled. Nika, can you investigate if they shall be reenabled?

Flags: needinfo?(apavel) → needinfo?(nika)
Flags: needinfo?(nika)
Keywords: leave-open
Duplicate of this bug: 1625603
Crash Signature: , mozilla::dom::ContentParent*)] [@ mozilla::dom::WindowContext::CreateFromIPC(mozilla::dom::WindowContext::IPCInitializer&&)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent()] → , mozilla::dom::ContentParent*)] [@ mozilla::dom::WindowContext::CreateFromIPC(mozilla::dom::WindowContext::IPCInitializer&&)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent()] [@ static mozilla::dom::WindowContext::CreateFromIPC(mozilla::d…
Pushed by nlayzell@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9555dcc88ac9
Part 8: Re-enable disabled tests, r=kmag
Status: ASSIGNED → RESOLVED
Closed: 1 month ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla77
Regressions: 1633927
Regressions: 1633941
Crash Signature: , mozilla::dom::ContentParent*)] [@ mozilla::dom::WindowContext::CreateFromIPC(mozilla::dom::WindowContext::IPCInitializer&&)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent()] [@ static → , mozilla::dom::ContentParent*)] [@ mozilla::dom::WindowContext::CreateFromIPC(mozilla::dom::WindowContext::IPCInitializer&&)] [@ mozilla::dom::BrowsingContext::IPCInitializer::GetParent()] [@ static
No longer regressions: 1633927
You need to log in before you can comment on or make changes to this bug.